<template>
  <v-app id="inspire">
    <v-navigation-drawer
        style="background-color: azure"
        v-model="drawer"
        app
        permanent
    >
      <v-list-item>
        <v-list-item-content>
          <v-list-item-title class="title">
            Application
          </v-list-item-title>
          <v-list-item-subtitle>
            AutoQA
          </v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>

      <v-divider></v-divider>

      <v-list
          dense
          nav
      >
        <v-list-item
            v-for="item in items"
            :key="item.title"
            :to="item.to"
            link
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-app-bar
        app
        style="background-color: azure"
        dense
        min-height="66px"
        elevate-on-scroll
    >
      <v-col cols="10">
        <v-toolbar-title>AutoQA UI Application</v-toolbar-title>
      </v-col>
      <v-col cols="2" class="align-content-end">
        <strong>Last update: {{ LastUpdateTime() }}</strong>
      </v-col>
    </v-app-bar>
    <v-main class="ma-2">
      <router-view></router-view>
    </v-main>
    <v-footer padless>
      <v-col
          class="text-center"
          style="background-color: azure"
          cols="12"
      >
        {{ new Date().getFullYear() }} — <strong>Vuetify</strong>
      </v-col>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  data: () => ({
    drawer: null,
    items: [
      { title: 'Tests', icon: 'mdi-rocket', to: '/' },
      { title: 'Todo', icon: 'mdi-checkbox-marked-circle-outline', to: '/todo' },
      { title: 'Events', icon: 'mdi-calendar-blank', to: '/events' },
      { title: 'About', icon: 'mdi-help-box', to: '/about' },
    ],
  }),
  methods: {
    LastUpdateTime(){
      let hours = new Date().getHours();
      let minutes = new Date().getMinutes();
      hours = (hours < 10) ? '0' + hours : hours;
      minutes = (minutes < 10) ? '0' + minutes : minutes;
      return  hours + ':' + minutes;
    }
  }
}
</script>

